Skip Menu |
 

This queue is for tickets about the NanoMsg-Raw CPAN distribution.

Report information
The Basics
Id: 113727
Status: open
Priority: 0/
Queue: NanoMsg-Raw

People
Owner: Nobody in particular
Requestors: DMTHOMAS [...] cpan.org
Cc:
AdminCc:

Bug Information
Severity: (no value)
Broken in: (no value)
Fixed in: (no value)

Attachments


Subject: patch to build against non-standard nanomsg location
Download (untitled) / with headers
text/plain 840b
1) in the master on github, looks like there's been a regression "VERSION" => "0.03", 2) it would be helpful if you could release the current code from github onto CPAN so the tests work against nanomsg 0.8beta 3) since I build software libraries away from the normal OS ones so there's no chance of conflict, I need to supply include & lib paths either as options when building Makefile.PL, or via environment variables. With this distribution I chose to use the latter like this export NANOMSG_INC=/opt/uq.cis.built/libnanomsg/include' export NANOMSG_LDFLAGS=-Wl,-R/opt/uq.cis.built/libnanomsg/lib' export NANOMSG_LIB=/opt/uq.cis.built/libnanomsg/lib' NB while the patch is named as if it's against 0.06, it's actually master. Also NANOMSG_LDFLAGS only seems needed with Devel::CheckLib thanks
Subject: NanoMsg-Raw-0.06.tar.gz.diff
diff -ur NanoMsg-Raw-0.06.orig/Makefile.PL NanoMsg-Raw-0.06/Makefile.PL --- NanoMsg-Raw-0.06.orig/Makefile.PL 2015-12-19 08:14:37.000000000 +1000 +++ NanoMsg-Raw-0.06/Makefile.PL 2016-04-13 10:21:39.730494056 +1000 @@ -11,6 +11,9 @@ check_lib_or_exit( header => 'nanomsg/nn.h', lib => 'nanomsg', + $ENV{'NANOMSG_INC'} ? (incpath => $ENV{'NANOMSG_INC'}) : (), + $ENV{'NANOMSG_LIB'} ? (libpath => $ENV{'NANOMSG_LIB'}) : (), + $ENV{'NANOMSG_LDFLAGS'} ? (ldflags => $ENV{'NANOMSG_LDFLAGS'}) : (), ); use ExtUtils::MakeMaker; @@ -24,7 +27,9 @@ }, "DISTNAME" => "NanoMsg-Raw", "EXE_FILES" => [], - "LIBS" => "-lnanomsg", +# "LIBS" => "-lnanomsg", + $ENV{NANOMSG_LIB} ? ("LIBS" => "-L$ENV{NANOMSG_LIB} -lnanomsg") : ("LIBS" => "-lnanomsg"), + $ENV{NANOMSG_INC} ? ("INC" => "-I$ENV{NANOMSG_INC}") : (), "LICENSE" => "mit", "NAME" => "NanoMsg::Raw", "PREREQ_PM" => {
Download (untitled) / with headers
text/plain 1.1k
Hi Thomas, sorry for the late reply, I have missed the email. Can't you use something like perl Makefile.PL INC=-I/opt/uq.cis.built/libnanomsg/include LDDLFLAGS=/opt/uq.cis.built/libnanomsg/lib untested - just my first idea. Thanks! Am Di 12. Apr 2016, 20:55:45, DMTHOMAS schrieb: Show quoted text
> 1) in the master on github, looks like there's been a regression > "VERSION" => "0.03", > > 2) it would be helpful if you could release the current code from > github onto CPAN so the tests work against nanomsg 0.8beta > > 3) since I build software libraries away from the normal OS ones > so there's no chance of conflict, I need to supply include & lib > paths either as options when building Makefile.PL, or via > environment variables. With this distribution I chose to use > the latter like this > export NANOMSG_INC=/opt/uq.cis.built/libnanomsg/include' > export NANOMSG_LDFLAGS=-Wl,-R/opt/uq.cis.built/libnanomsg/lib' > export NANOMSG_LIB=/opt/uq.cis.built/libnanomsg/lib' > NB while the patch is named as if it's against 0.06, it's actually > master. > Also NANOMSG_LDFLAGS only seems needed with Devel::CheckLib > > thanks
-- Boris


This service is sponsored and maintained by Best Practical Solutions and runs on Perl.org infrastructure.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.